package naca4builder;

class NACAbase extends NACAPoint {

    Main foil;

    NACAbase(Main foil) {
        this.foil = foil;
    }

    @Override
    void calc() {
        x = x0 + foil.step;
        y = 0.2969 * Math.sqrt(x);
        y -= 0.126 * x;
        double xc2 = x * x;
        y -= 0.3516 * xc2;
        xc2 = xc2 * x;
        y += 0.2843 * xc2;
        xc2 = xc2 * x;
        y -= 0.1015 * xc2;
        y = foil.t * 5.0 * y;
        super.calc();
    }

    @Override
    public void done() {
        super.done();
    }
}
