package naca4builder;

class NACAlower extends NACAPoint {

    Main foil;

    NACAlower(NACAPoint camber, Main foil) {
        super(camber);
        this.foil = foil;
    }

    void calc() {
        double teta = source.fi();
        if (foil.chambered) {
            x = source.source.x + source.source.y * Math.sin(teta);
            y = source.y - source.source.y * Math.cos(teta);
        } else {
            x = source.source.x;
            y = -source.source.y;
        }
        super.calc();
    }
}
