package naca4builder;

class NACAoffset extends NACAPoint {

    double offset;

    NACAoffset(double offset, NACAPoint point) {
        super(point);
        this.offset = offset;
    }

    void calc() {
        double teta = source.fi();
        x = source.x - offset * Math.sin(teta);
        y = source.y + offset * Math.cos(teta);
        super.calc();
    }
}
