package naca4builder;

class NACAupper extends NACAPoint {

    Main outer;

    NACAupper(NACAPoint camber, Main outer) {
        super(camber);
        this.outer = outer;
    }

    void calc() {
        double teta = source.fi();
        if (outer.chambered) {
            x = source.source.x - source.source.y * Math.sin(teta);
            y = source.y + source.source.y * Math.cos(teta);
        } else {
            x = source.source.x;
            y = source.source.y;
        }
        super.calc();
    }
}
